Part Spiral: Difference between revisions

From FreeCAD Documentation
(Revising...)
Line 25: Line 25:


<!--T:13-->
<!--T:13-->
A [[Image:Part_Spiral.svg|24px]] '''Part Spiral''' is a parametric shape that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the spiral lies on the XY plane with its center at the origin and its start point on the X axis. It widens as it turns counterclockwise.
The [[Image:Part_Spiral.svg|24px]] [[Part_Spiral|Part Spiral]] command creates a parametric spiral shape.


</translate>
FreeCAD creates a spiral, with default values for growth and radius. The number of rotations can be set too.
[[Image:Part_Spiral_Example.png|400px]]

<translate>
By default, the spiral is positioned with its start point on the x-axis with a distance of the radius from the origin (0,0,0). Its rotation is counterclockwise.

[[File:Part Spiral Example.png|Screenshot of Part Spiral]]


== Usage == <!--T:8-->
== Usage == <!--T:8-->


See [[Part_Primitives#Usage|Part Primitives]].
<!--T:6-->
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part Primitives|Create Primitives...]]}} button.
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
#* Select the {{MenuCommand|[[Image:Part_Spiral.svg|16px]] Spiral}} option from the menu.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.


== Example ==
== Example ==


[[File:Part Spiral Scripting Example.png|thumb|Part Spiral scripting example]]
[[Image:Part_Spiral_Scripting_Example.png|thumb|Part Spiral from the scripting example]]


A Part spiral object with the values of the bottom scripting example are shown here.
A Part Spiral object created with the [[#Scripting|scripting example]] below is shown here.


== Properties ==
== Properties ==

Revision as of 10:26, 2 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Spiral

Menu location
Part → Create primitives → Spiral
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

A Part Spiral is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the spiral lies on the XY plane with its center at the origin and its start point on the X axis. It widens as it turns counterclockwise.

Usage

See Part Primitives.

Example

Part Spiral from the scripting example

A Part Spiral object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Spiral object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Spiral

  • DataGrowth (Length): The growth of the spiral. This is the distance between the curves of the spiral.
  • DataRadius (Length): The radius of the spiral. This is the distance between the origin and the start point of the curve.
  • DataRotations (Float): The number of full 360° rotations of the spiral. The rotation direction is counterclockwise.
  • DataSegment Length (Float): The segment length of the spiral.

Scripting

A Part Spiral is created with the addObject() method of the document.

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where mySpiral is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

spiral.Label = "new mySpiralName"

You can access and modify attributes of the spiral object. For example, you may wish to modify the growth, radius and rotations parameters.

spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4

You can change its placement and orientation with:

spiral.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))